Account
Get unused Bitcoin address
GET
/account/address/bitcoinPrivateGet your most recently generated Bitcoin deposit address that has not received a deposit yet. If you have none, a new one is generated in the format of your settings.
Permissions: account:deposits:read
OK
application/json- response
address*stringBitcoin address
import { createHttpClient } from '@ln-markets/sdk/rest/v3'
const client = createHttpClient({
key: 'your-key',
secret: 'your-secret',
passphrase: 'your-passphrase',
})
const result = await client.account.getBitcoinAddress(){
"address": "bc1q..."
}Get account GET
Get your account: id, username, balance, synthetic USD balance, fee tier, email and linking public key.
Generate new Bitcoin address POST
Generate a new Bitcoin deposit address. Without format, the address uses the format of your settings. Fails with BAD_REQUEST when you already have more…